<?php
/**
 * Plugin Name: Northmill Sync
 * Plugin URI: https://www.northmill.com/se/flo/add-ons/sync/
 * Description: WooCommerce Northmill Sync.
 * Version: 4.3.1
 * Author: Northmill
 * Author URI: https://www.northmill.com/se/foretag/
 * License: GPLv2 or later
 * Text Domain: flo-sync
 * Domain Path: /languages/
 * Requires PHP: 8.2
 * WC tested up to: 9.7.1
 *
 * @package flo-sync
 */

use Automattic\WooCommerce\Utilities\FeaturesUtil;
use NMFS\Shared;

defined( 'ABSPATH' ) || exit;

// Set plugin constants.
define( 'NMF_ABS_FILE_PATH', __FILE__ );

require_once plugin_dir_path( __FILE__ ) . 'vendor/autoload.php';

Shared::instance();

add_action(
	'before_woocommerce_init',
	function () {
		if ( class_exists( FeaturesUtil::class ) ) {
			FeaturesUtil::declare_compatibility( 'custom_order_tables', __FILE__, false );
		}
	}
);
